Capannone mettallico in FreeCad

Forum per le domande e le discussioni in Italiano
Forum rules
regole del forum e le informazioni utili

Importante: PRIMA di chiedere aiuto leggete qui!
renatorivo
Posts: 2052
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Thu Nov 09, 2017 3:35 pm

Anam wrote:
Thu Nov 09, 2017 12:49 pm
Come si comportano gli oggetti creati con Frame and beams rispetto agli oggetti Structure ?
Da provare
Anam wrote:
Thu Nov 09, 2017 12:49 pm
I tagli eseguiti con gli strumenti Frame and beams alterano la natura dell'oggetto ?
Anche questo è da approfondire per capire come gestire al meglio i vari strumenti disponibili. Quello che trovo molto funzionale nell'ambiente F&B sono le proprietà Extend e Rotation di facile gestione dalla Vista combinata. Ci sono anche in Flamingo, ma funzionano un po' diversamente.
Anam wrote:
Thu Nov 09, 2017 12:49 pm
Hai provato lo strumento "cut-plane" di arch-wb ?
Questo secondo me è lo strumento migliore per dei tagli piani sulle Strutture. Per le giunzioni che implicano dei tagli sagomati può essere sostituito da Part->Joint, ma non sono ancora riuscito ad ottenere gli stessi risultati che Yorik ha mostrato nel forum inglese https://forum.freecadweb.org/viewtopic. ... 10#p197742
Anam wrote:
Thu Nov 09, 2017 12:49 pm
Vorrei mettere le mani nel database delle sezioni di Flamingo... qualcuno sa come fare ?
Vedi il post https://forum.freecadweb.org/viewtopic.php?f=9&t=21532
i file .csv che ho pubblicato hanno come soggetto tubazioni e raccordi, ma si possono aggiungere altri oggetti. Eventualmente si può anche riprendere quella discussione che continua nella pagina https://forum.freecadweb.org/viewtopic.php?f=8&t=22711

Renato
renatorivo
Posts: 2052
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Thu Nov 09, 2017 6:21 pm

Evoluzione lavorando ilfile precedente
meta4.png
meta4.png (39.13 KiB) Viewed 514 times
Capannone-meta-renato-4.FCStd
(378.75 KiB) Downloaded 21 times
Mancano ancora alcune cose, ma mi sembra abbastanza veloce e controllabile.

Renato
renatorivo
Posts: 2052
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Thu Nov 09, 2017 9:05 pm

Aggiunto un bullone e dado
Allineato il tutto con Assembly2
Creato la Schiera
meta5.png
meta5.png (39.8 KiB) Viewed 507 times
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Fri Nov 10, 2017 9:52 am

Grande Renato, vedo che ti stai appassionando al capannone :D , io ho i calcoli in caso poi riesci a vendere il disegno della struttura :D :D :D.

Purtroppo io procedo molto lentamente, non ho molto tempo da dedicargli e sono in fase di apprendimento di Freecad. Fra le altre cose stavo provando a fare un workbench per fondere gli strumenti utili che mi hai suggerito e quelli ho trovato (https://forum.freecadweb.org/viewtopic. ... 13#p198713).

Per quanto riguarda
renatorivo wrote:
Thu Nov 09, 2017 3:35 pm
Vedi il post https://forum.freecadweb.org/viewtopic.php?f=9&t=21532
i file .csv che ho pubblicato hanno come soggetto tubazioni e raccordi, ma si possono aggiungere altri oggetti. Eventualmente si può anche riprendere quella discussione che continua nella pagina https://forum.freecadweb.org/viewtopic.php?f=8&t=22711
Sai dove posso trovare delle informazioni per capire come funziona ? Cosi magari mi ci metto con calma e implemento il database delle sezioni commerciali di Flamingo
renatorivo
Posts: 2052
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Fri Nov 10, 2017 8:27 pm

Anam wrote:
Fri Nov 10, 2017 9:52 am
Per quanto riguarda

renatorivo wrote: ↑
Thu Nov 09, 2017 3:35 pm
Vedi il post https://forum.freecadweb.org/viewtopic.php?f=9&t=21532
i file .csv che ho pubblicato hanno come soggetto tubazioni e raccordi, ma si possono aggiungere altri oggetti. Eventualmente si può anche riprendere quella discussione che continua nella pagina https://forum.freecadweb.org/viewtopic.php?f=8&t=22711

Sai dove posso trovare delle informazioni per capire come funziona ? Cosi magari mi ci metto con calma e implemento il database delle sezioni commerciali di Flamingo
Implementare il database di Flamingo è stato il mio primo pensiero appena ho conosciuto questo WB.
Purtroppo, se ho capito bene, si possono implementare come database solo quei profili che sono presenti anche nei Preset di Arch e che sono forme a H, quadri e tondi. Vedi https://forum.freecadweb.org/viewtopic. ... 32#p173629
Per questo mi piacerebbe fare una richiesta per implementare altri profili in Arch, come L, U, Z.

C'è però una alternativa indicata da oddtopus nella stessa discussione.
Creare la sagoma con uno schizzo o un disegno e poi inserirla nel gruppo di profili.
Questa soluzione funziona, ma non è un vero database.

Altra soluzione.
Importare i profili da Bolts. Anche questo funziona. Attivare la casella Arch in basso per importare come struttura. La cosa lacunosa è la denominazione non descrittiva del profilo.


Ecco un esempio di importazione da Bolts
db1.png
db1.png (76.82 KiB) Viewed 473 times
Ecco anche alcuni file csv per piping tubi e raccordi. Vanno bene anche per carpenteria. Dopo possono anche diventare strutture, ma gestiti come strutture sono un po' imprevedibili.
db2.png
db2.png (16.89 KiB) Viewed 473 times
tables3.7z
(4.94 KiB) Downloaded 11 times
renatorivo
Posts: 2052
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Sat Nov 11, 2017 3:03 pm

Un altro databae disponibile è PartsLibrary
Anche qui sono archiviati alcuni profili unificati.
Ho provato a importare un angolare. Promuovendo a struttura lo schizzo base sembra acquisire le proprietà e essere usabile con Flamingo.
testdapartslibrary.png
testdapartslibrary.png (108.23 KiB) Viewed 455 times
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Sun Nov 12, 2017 8:38 pm

Capisco che la questione è complessa.... penso sia meglio prendere il toro per le corna e vedere un po' come funziona makeProfile() di ArchProfile.

leggendo questa documentazione http://www.buildingsmart-tech.org/ifc/I ... fcbeam.htm mi sembra di capire che i tagli all'estremità delle travi nei file IFC vengono codificati attraverso operazioni Boleane

"Boolean result: The IfcBooleanClippingResult shall be supported, allowing for Boolean differences between the swept solid (here IfcExtrudedAreaSolid) and one or several IfcHalfSpaceSolid (or its subtypes)."

Negli oggetti Structure https://github.com/FreeCAD/FreeCAD/blob ... ructure.py mi sembra che non siano implementate queste operazioni, forse è per questo che alcune operazioni trasformano l'oggetto structure in un più generico Pat? Non capisco invece come qualunque oggetto può diventare uno structure
renatorivo
Posts: 2052
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Tue Nov 14, 2017 5:56 pm

Anam wrote:
Sun Nov 12, 2017 8:38 pm
Capisco che la questione è complessa.... penso sia meglio prendere il toro per le corna e vedere un po' come funziona makeProfile() di ArchProfile.
In https://forum.freecadweb.org/viewtopic.php?f=23&t=25334 ho chiesto come aggiungere altre classi di profili e Yorik dice:
Basically you need to add a new function in ArchProfile.py. Then inside ArchProfile.makeProfile, add a new case to use your new function in case of a certain letter ("L" or "Z" etc). Then you just need to populate the csv file with some new presets.
Ora devo provare se mi riesce

Renato
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Tue Nov 14, 2017 8:32 pm

Ottimo ! nel fine settimana forse riesco a trovare il tempo per fare qualcosa anche io! Come posso aiutarti ?

Dando un'occhiata al volo a questo pezzo di codice si si capisce che lui calcola le coordinate dei punti necessari per disegnare il profilo, poi li collega con un poligono e in fine ne fa una faccia....

Code: Select all

class _ProfileH(_Profile):
    '''A parametric H or I beam profile. Profile data: [width, height, web thickness, flange thickness] (see http://en.wikipedia.org/wiki/I-beam for reference)'''

    def __init__(self,obj, profile):
        obj.addProperty("App::PropertyLength","Width","Draft",QT_TRANSLATE_NOOP("App::Property","Width of the beam")).Width = profile[4]
        obj.addProperty("App::PropertyLength","Height","Draft",QT_TRANSLATE_NOOP("App::Property","Height of the beam")).Height = profile[5]
        obj.addProperty("App::PropertyLength","WebThickness","Draft",QT_TRANSLATE_NOOP("App::Property","Thickness of the web")).WebThickness = profile[6]
        obj.addProperty("App::PropertyLength","FlangeThickness","Draft",QT_TRANSLATE_NOOP("App::Property","Thickness of the flanges")).FlangeThickness = profile[7]
        _Profile.__init__(self,obj,profile)

    def execute(self,obj):
        import Part
        pl = obj.Placement
        p1 = Vector(-obj.Width.Value/2,-obj.Height.Value/2,0)
        p2 = Vector(obj.Width.Value/2,-obj.Height.Value/2,0)
        p3 = Vector(obj.Width.Value/2,(-obj.Height.Value/2)+obj.FlangeThickness.Value,0)
        p4 = Vector(obj.WebThickness.Value/2,(-obj.Height.Value/2)+obj.FlangeThickness.Value,0)
        p5 = Vector(obj.WebThickness.Value/2,obj.Height.Value/2-obj.FlangeThickness.Value,0)
        p6 = Vector(obj.Width.Value/2,obj.Height.Value/2-obj.FlangeThickness.Value,0)
        p7 = Vector(obj.Width.Value/2,obj.Height.Value/2,0)
        p8 = Vector(-obj.Width.Value/2,obj.Height.Value/2,0)
        p9 = Vector(-obj.Width.Value/2,obj.Height.Value/2-obj.FlangeThickness.Value,0)
        p10 = Vector(-obj.WebThickness.Value/2,obj.Height.Value/2-obj.FlangeThickness.Value,0)
        p11 = Vector(-obj.WebThickness.Value/2,(-obj.Height.Value/2)+obj.FlangeThickness.Value,0)
        p12 = Vector(-obj.Width.Value/2,(-obj.Height.Value/2)+obj.FlangeThickness.Value,0)
        p = Part.makePolygon([p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p1])
        p = Part.Face(p)
        #p.reverse()
        obj.Shape = p
        obj.Placement = pl


Non capisco bene come gestisce la storia del baricentro o meglio, nel caso di profili doppiamente simmetrici è facile ma in quelli non simmetrici ? ... Devo studiare la parte relativa alla sezione a U per capirlo.
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Sat Nov 18, 2017 6:42 pm

Ciao Renato, come va ? Oggi ho avuto un po' di tempo e ho ricavato le equazioni delle coordinate dei punti 0,1,2,3,4 e 5 di un angolare a L, i cui parametri sono H= altezza, B=base e s=spessore. Ho ricavato due espressioni per ogni punto, le prime rispetto ad un sistema di riferimento con origine il punto 0, le altre con origine sul baricentro della sezione. Nel pdf https://1drv.ms/b/s!AietkfmULY9Cjt5mD8vBbOdZ_T2bGw dovresti trovare tutto, spero sia chiaro... domani provo a implementarle. In realtà credo sia simpatico avere un menù che ti permetta di scegliere l'origine dell'asse della trave, che ne pensi ?